//
//  SCAdInfo.h
//  SmartclipSDKiOS
//
//  Copyright © 2018 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>

@class SCUniversalAdId;

/**
 * This class holds the advertisement information
 */
@interface SCAdInfo : NSObject
/// id of the ad
@property (nonatomic, copy)     NSString           *adId;

/// title of the ad
@property (nonatomic, copy)     NSString           *title;

/// variant string
@property (nonatomic, copy)     NSString           *variant;

/// a boolean value, that indicates if the ad can be skipped
@property (nonatomic)           BOOL                skippable;

/// duration of the current commercial
@property (nonatomic)           NSInteger           duration;

/// current time regarding the the current commercials duration
@property (nonatomic)           NSInteger           currentTime;

/// an array of wrapper tags
@property (nonatomic, strong)   NSArray            *wrapperTags;

/// if an error occurs, the error code, describing the error type
@property (nonatomic)           NSInteger           errorCode;

/// universal ad id
@property (nonatomic, strong)   SCUniversalAdId    *universalAdId;

/**
 * Initalizer, takes a JSON formatted description string
 * - Parameter description: adInfo as JSON formatted string
 */
- (id)initWithDescription:(NSString*)description;

/**
 * Get the original JSON formatted description as NSDictionary
 */
- (NSDictionary*)adInfoDescription;
@end
